commit:     8c536dd71c8586171b109d61e7f646a3113374ae
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 12 17:24:53 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Fri Feb 12 17:39:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c536dd7

app-editor/nano: version bump to 2.5.2

 app-editors/nano/Manifest          |  1 +
 app-editors/nano/nano-2.5.2.ebuild | 83 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 7a92ae0..2b30e71 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -4,3 +4,4 @@ DIST nano-2.4.1.tar.gz 1890805 SHA256 
6a0ceb5e1b9b9bea72d5d1f46488ace4782b1f198e
 DIST nano-2.4.2.tar.gz 1898633 SHA256 
c8cd7f18fcf5696d9df3364ee2a840e0ab7b6bdbd22abf850bbdc951db7f65b9 SHA512 
487b03b33ac8fac4a774223e038b00463ca03e08093c506b10f4df56795039eff1c23518c1a4f32695cee1bb9bb5eb0a2dd3e1f8a9befcc573e7fca3d69fa9d3
 WHIRLPOOL 
ac5942114a48d428e64db47afb919feef506e18da8b21627ea421e59bf3c235083b17ffaf7a6e510193b6617c0e2ad9d2460f64d5d8bbd6b828547bcd41b5c7c
 DIST nano-2.4.3.tar.gz 1878096 SHA256 
32d627072b6026678e4f4095c047adec92ac7ec542dd6d91cf27f49b601768f2 SHA512 
53c9f93b0f001a3d6c292a6995d66b6bcca033407b6b69995c62b9e9f721fd5566fbd0e22ece1b2561a47e56ef19c3f1ee196e23edfe832289704e0ebef45de9
 WHIRLPOOL 
cd2e4d7175521835c71f0338a2115d2d9fec4da1d4eb2abbb633cfef907fde69fb12acd5e0db343d1f90945f05d60abb85daa5a045d9b97ef8cd19fb9b226607
 DIST nano-2.5.0.tar.gz 1909625 SHA256 
ff323e6fef74caf0a924304841c07ac65ec30db99dc5c1f8272b4c536a5c89ee SHA512 
f05f1afa6a79ff6b87359c46fbdaf6161eacdc265ac6be155a0173e3ab5a17023e205d0b9667a942e754556182a9007fe4438f337a830d20b9546aad9d522ba6
 WHIRLPOOL 
29fbb67ce561da8255dca70d7554d604094a21e89e39ce94fadb67bc3236550ea1ee3f08838616deed8a4e37657df0ef6d320c701cc77a086d8d1ce2dae43d1d
+DIST nano-2.5.2.tar.gz 1964016 SHA256 
89bd6ac5120880d2a95431d8bad22bf92c7ccbf10b8f1716d4ea062f3faeeb41 SHA512 
ec4e35cfb23494dd09c23b195556dfb36b9329007d61bdfe6a25a43c9914e432160969c92ed991bb2221ea5facd5ae1c1e9aef0029dfa259d827b7ea4943a1d3
 WHIRLPOOL 
3963ed7fad9296ea0d85300dc7ad518a33e2b793d9b94e98056a4c82c9b7984ef187dfa10653f787b262755521321c1e2c37562c1f95cfd338927329c6d0aa97

diff --git a/app-editors/nano/nano-2.5.2.ebuild 
b/app-editors/nano/nano-2.5.2.ebuild
new file mode 100644
index 0000000..58fa18e
--- /dev/null
+++ b/app-editors/nano/nano-2.5.2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils flag-o-matic
+if [[ ${PV} == "9999" ]] ; then
+       ESVN_REPO_URI="svn://svn.savannah.gnu.org/nano/trunk/nano"
+       inherit subversion autotools
+else
+       MY_P=${PN}-${PV/_}
+       SRC_URI="http://www.nano-editor.org/dist/v${PV:0:3}/${MY_P}.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd 
~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux 
~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="GNU GPL'd Pico clone with more functionality"
+HOMEPAGE="http://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_Guide";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug justify +magic minimal ncurses nls slang +spell static unicode"
+
+LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
+       sys-libs/ncurses:0=[static-libs(+)]
+       magic? ( sys-apps/file[static-libs(+)] )
+       nls? ( virtual/libintl )
+       !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+       static? ( ${LIB_DEPEND} )"
+
+src_prepare() {
+       if [[ ${PV} == "9999" ]] ; then
+               eautoreconf
+       fi
+       epatch_user
+}
+
+src_configure() {
+       use static && append-ldflags -static
+       local myconf=()
+       case ${CHOST} in
+       *-gnu*|*-uclibc*) myconf+=( "--with-wordbounds" ) ;; #467848
+       esac
+       econf \
+               --bindir="${EPREFIX}"/bin \
+               --htmldir=/trash \
+               $(use_enable !minimal color) \
+               $(use_enable !minimal multibuffer) \
+               $(use_enable !minimal nanorc) \
+               --disable-wrapping-as-root \
+               $(use_enable magic libmagic) \
+               $(use_enable spell speller) \
+               $(use_enable justify) \
+               $(use_enable debug) \
+               $(use_enable nls) \
+               $(use_enable unicode utf8) \
+               $(use_enable minimal tiny) \
+               $(usex ncurses --without-slang $(use_with slang)) \
+               "${myconf[@]}"
+}
+
+src_install() {
+       default
+       rm -rf "${D}"/trash
+
+       dodoc doc/nanorc.sample
+       dohtml doc/faq.html
+       insinto /etc
+       newins doc/nanorc.sample nanorc
+       if ! use minimal ; then
+               # Enable colorization by default.
+               sed -i \
+                       -e '/^# include /s:# *::' \
+                       "${ED}"/etc/nanorc || die
+       fi
+
+       dodir /usr/bin
+       dosym /bin/nano /usr/bin/nano
+}

Reply via email to